### Function

# Gcr SystemPrompt open_finish

#### Declaration [src]

    GcrPrompt*
    gcr_system_prompt_open_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete an operation to asynchronously open a system prompt.

#### Parameters

`result`

  Type: `GAsyncResult`

  The asynchronous result.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GcrSystemPrompt`

The prompt, or `NULL` if prompt could not be opened.

The caller of the function takes ownership of the data, and is responsible for freeing it.